Churn Report
curl --request GET \
--url https://api.smarterproctoring.com/v1/installs/{installSid}/reports/churn \
--header 'token: <api-key>'import requests
url = "https://api.smarterproctoring.com/v1/installs/{installSid}/reports/churn"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://api.smarterproctoring.com/v1/installs/{installSid}/reports/churn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>",
"count": 123,
"offset": 123,
"results": [
{
"courseTitle": "<string>",
"examSid": "<string>",
"examTitle": "<string>",
"examType": "<string>",
"userSid": "<string>",
"enrollmentSid": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"preferredEmail": "<string>",
"homePhone": "<string>",
"mobilePhone": "<string>",
"currentSessionSid": "<string>",
"currentStatus": "<string>",
"cancelled": true,
"closed": true
}
]
}Reports
Churn Report
Returns a churn report for the specified install.
GET
/
v1
/
installs
/
{installSid}
/
reports
/
churn
Churn Report
Authorizations
Path Parameters
Install Sid
Pattern:
^AI[a-f0-9]{32}$Query Parameters
Course title
Exam title
Student Email
First Name of student
Last Name of student
Starting of event, must provide end date with it
Pattern:
.*ZExample:
"1970-01-01T00:00:00.000Z"
Exam Close date, must provide open date with it
Pattern:
.*ZExample:
"1970-01-01T00:00:00.000Z"
Course Offering Sid
Pattern:
^CO[a-f0-9]{32}$include if Cancelled session exist
include if closed session exist
Current status of student
Available options:
Needs Proctor, Closed, Scheduled Result offset
Required range:
x >= 0Number of items to return
Required range:
x >= 0Available options:
courseTitle, examTitle, createdDate Sort order
Available options:
ASC, DESC Was this page helpful?
